local LimitedStockBuyer = select(2,...)
local Util = LimitedStockBuyer

function Util:CheckForLimitedSupply() --- Checks if the vendor has limited supply items.
	local numMerchantItems = GetMerchantNumItems() 
	local MerchCurrentCheck = 1
	
	while MerchCurrentCheck <= numMerchantItems do
		local name, texture, price, quantity, numAvailable, isUsable, extendedCost = GetMerchantItemInfo(MerchCurrentCheck)
		if numAvailable ~= -1 then
			return true -- if limited supply available
		end
		MerchCurrentCheck = MerchCurrentCheck+1
	end
	return false --- if not limited supply available
end

